<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/CosTrading.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - CosTrading</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module CosTrading

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Interfaces Summary:</div>
<div class="item"><div class="synopsis">interface <a href="CosTrading/Admin.html" >Admin</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">interface <a href="CosTrading/ImportAttributes.html" >ImportAttributes</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">interface <a href="CosTrading/Link.html" >Link</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">interface <a href="CosTrading/LinkAttributes.html" >LinkAttributes</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">interface <a href="CosTrading/Lookup.html" >Lookup</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">interface <a href="CosTrading/OfferIdIterator.html" >OfferIdIterator</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">interface <a href="CosTrading/OfferIterator.html" >OfferIterator</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">interface <a href="CosTrading/Proxy.html" >Proxy</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">interface <a href="CosTrading/Register.html" >Register</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">interface <a href="CosTrading/SupportAttributes.html" >SupportAttributes</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">interface <a href="CosTrading/TraderComponents.html" >TraderComponents</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Typedefs Summary:</div>
<div class="item"><div class="synopsis"><a href="CosTrading.html#Istring" >Istring</a> <a class="name" id="Constraint">Constraint</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">string <a class="name" id="Istring">Istring</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="CosTrading.html#Istring" >Istring</a> <a class="name" id="LinkName">LinkName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">sequence&lt;<a href="CosTrading.html#LinkName" >LinkName</a>&gt; <a class="name" id="LinkNameSeq">LinkNameSeq</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">string <a class="name" id="OfferId">OfferId</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">sequence&lt;<a href="CosTrading.html#OfferId" >OfferId</a>&gt; <a class="name" id="OfferIdSeq">OfferIdSeq</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">sequence&lt;<a href="CosTrading/Offer.html" >Offer</a>&gt; <a class="name" id="OfferSeq">OfferSeq</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">string <a class="name" id="PolicyName">PolicyName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">sequence&lt;<a href="CosTrading.html#PolicyName" >PolicyName</a>&gt; <a class="name" id="PolicyNameSeq">PolicyNameSeq</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">sequence&lt;<a href="CosTrading/Policy.html" >Policy</a>&gt; <a class="name" id="PolicySeq">PolicySeq</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">any <a class="name" id="PolicyValue">PolicyValue</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="CosTrading.html#Istring" >Istring</a> <a class="name" id="PropertyName">PropertyName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">sequence&lt;<a href="CosTrading.html#PropertyName" >PropertyName</a>&gt; <a class="name" id="PropertyNameSeq">PropertyNameSeq</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">sequence&lt;<a href="CosTrading/Property.html" >Property</a>&gt; <a class="name" id="PropertySeq">PropertySeq</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">any <a class="name" id="PropertyValue">PropertyValue</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="CosTrading.html#Istring" >Istring</a> <a class="name" id="ServiceTypeName">ServiceTypeName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="CosTrading.html#LinkNameSeq" >LinkNameSeq</a> <a class="name" id="TraderName">TraderName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">CORBA::Object <a class="name" id="TypeRepository">TypeRepository</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Structs Summary:</div>
<div class="item"><div class="synopsis">struct <a href="CosTrading/Offer.html" >Offer</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">struct <a href="CosTrading/Policy.html" >Policy</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">struct <a href="CosTrading/Property.html" >Property</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enums Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="FollowOption">FollowOption</a> local_only, if_no_local, always</div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enumerators Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="local_only">local_only</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="if_no_local">if_no_local</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="always">always</a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Exceptions Summary:</div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/DuplicatePolicyName.html" >DuplicatePolicyName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/DuplicatePropertyName.html" >DuplicatePropertyName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/IllegalConstraint.html" >IllegalConstraint</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/IllegalOfferId.html" >IllegalOfferId</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/IllegalPropertyName.html" >IllegalPropertyName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/IllegalServiceType.html" >IllegalServiceType</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/InvalidLookupRef.html" >InvalidLookupRef</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/MissingMandatoryProperty.html" >MissingMandatoryProperty</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/NotImplemented.html" >NotImplemented</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/PropertyTypeMismatch.html" >PropertyTypeMismatch</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/ReadonlyDynamicProperty.html" >ReadonlyDynamicProperty</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/UnknownMaxLeft.html" >UnknownMaxLeft</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/UnknownOfferId.html" >UnknownOfferId</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="CosTrading/UnknownServiceType.html" >UnknownServiceType</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Fri Apr 17 08:48:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
